module Qiniu2Upyun
  module Utils
    class << self
      def get_bar(total, title)
        ProgressBar.create(
          title: ("%12s" % title),
          length: 60,
          total: total,
          format: "%t |%B| %p%".green
        ) 
      end
    end
  end
end

class String
  def colorize(code)
    "\e[#{code}m#{self}\e[0m"
  end

  def red
    colorize(31)
  end

  def green
    colorize(32)
  end

  def yellow
    colorize(33)
  end

  def pink
    colorize(35)
  end
end
